# Distributed I/O Tier Reliability/Dependability

![](cpx400dp.jpg)

python class to control remotely the power supply bia USB

## How to use it
```console
python3 cpx400dp -h
```
the help menu is shown below:

```bash
usage: cpx400dp.py [-h] [--device DEVICE] [--baudrate BAUDRATE] [--chan CHAN] [--volts VOLTS] [--amps AMPS] [--powerup]

Control CPX400DP from USB

optional arguments:
  -h, --help            show this help message and exit
  --device DEVICE, -D DEVICE
                        Linux device name (default: /dev/tty_CPX)
  --baudrate BAUDRATE, -b BAUDRATE
                        Serial baudrate (default: 115200)
  --chan CHAN, -C CHAN  Channel selector (default: 1)
  --volts VOLTS, -V VOLTS
                        Volts (default: 12.0)
  --amps AMPS, -A AMPS  Amps (default: 0.2)
  --powerup             Switch On requested channel with requested values (default: False)
```
